<template>
  <div class="app-container">
    <el-button type="primary" @click="downloadFile('PDF')">下載PDF</el-button>
    <el-button type="primary" @click="viewFile('PDF')">顯示PDF</el-button>
    <el-button type="primary" @click="downloadFile('XLSX')">下載EXCEL</el-button>
    <el-button type="primary" @click="downloadFile('CSV')">下載CSV</el-button>
    <el-button type="primary" @click="downloadFile('DOCX')">下載WORD</el-button>
  </div>
</template>
<script>
import { downloadFile } from './action'
export default {
  methods: {
    downloadFile: function(fileType) {
      downloadFile({ fileType: fileType }).then(res => {
        console.log(res.headers.filename)
        if (String(res.headers.filename) !== 'undefined') {
          const blob = new Blob([res.data], { type: res.data.type })
          const link = document.createElement('a')
          link.href = window.URL.createObjectURL(blob)
          link.download = res.headers.filename
          link.click()
        }
      })
    },
    viewFile: function(fileType) {
      downloadFile({ fileType: fileType }).then(res => {
        console.log(res.headers.filename)
        if (String(res.headers.filename) !== 'undefined') {
          const blob = new Blob([res.data], { type: res.data.type })
          const DATA_URI = window.URL.createObjectURL(blob)
          window.open(DATA_URI)
        }
      })
    }
  }
}
</script>
